Summary:	A daemon to record and keep track of system uptimes
Name:		uptimed
Version:	0.3.17
Release:	1.1
License:	GPL
Group:		System Environment/Daemons
Source:		%{name}-%{version}.tar.bz2
URL:		http://podgorny.cz/moin/Uptimed
Patch0:		%{name}.diff
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:	libuptimed.0
BuildRequires:	glibc-devel libgcc gcc gcc-c++

%description
Uptimed is an uptime record daemon keeping track of the highest 
uptimes the system ever had. Instead of using a pid file to 
keep sessions apart from each other, it uses the system boot 
time. 

Uptimed has the ability to inform you of records and milestones 
though syslog and e-mail, and comes with a console front end to 
parse the records, which can also easily be used to show your 
records on your Web page

%prep
%setup -q
%patch0
%build
autoreconf -fi
%configure
%__make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf "$RPM_BUILD_ROOT"
%__make DESTDIR="$RPM_BUILD_ROOT" install
install -m 755 -d $RPM_BUILD_ROOT/%_docdir/%{name}/sample-cgi
install -m 644 sample-cgi/uprecords.* $RPM_BUILD_ROOT/%_docdir/%{name}/sample-cgi
install -m 755 -d $RPM_BUILD_ROOT/etc/init.d
install -m 755 etc/rc.uptimed $RPM_BUILD_ROOT/etc/init.d/uptimed
install -m 755 boot.uptimed $RPM_BUILD_ROOT/etc/init.d/boot.uptimed
install -m 755 -d $RPM_BUILD_ROOT/var/spool/uptimed
mv $RPM_BUILD_ROOT/etc/uptimed.conf-dist $RPM_BUILD_ROOT/etc/uptimed.conf
rm -rf $RPM_BUILD_ROOT/usr/share/doc/packages/uptimed-%{version}

%post
/sbin/ldconfig
/sbin/chkconfig --add boot.uptimed
/sbin/chkconfig --add uptimed

%postun
/sbin/ldconfig

%preun
/sbin/chkconfig --del uptimed
/sbin/chkconfig --del boot.uptimed

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/*
%{_defaultdocdir}/%{name}/sample-cgi/*
%config(noreplace) /etc/uptimed.conf
%config /etc/init.d/uptimed
%config /etc/init.d/boot.uptimed
%{_sbindir}/uptimed
%{_bindir}/uprecords
%{_mandir}/*/*
%{_libdir}/libuptimed.*
%dir /var/spool/uptimed

%changelog
* Sat Sep  1 2012 cs@linux-administrator.com
- update to release 0.3.17
